Bug 1125095 - [RFE][cinder]: Blue Print "Dynamic disk support for Hyper V compute node in OpenStack
Summary: [RFE][cinder]: Blue Print "Dynamic disk support for Hyper V compute node in...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/cind...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 04:06 UTC by RHOS Integration
Modified: 2015-11-20 19:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:02:12 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-31 04:06:18 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/cinder/+spec/cinder.

Description:

Current implementation of HyperV nova compute  in OpenStack do not have the support for  each 
•	HyperV host as a compute node to support Dynamic Disk 

Proposal 
Is to enable the nova compute  to 
•	 Provision an instance on Hyper-v node with the ability to attach Dynamic Disk as a Data Disk 
•	Provision an instance to a  Hyper v  n node cluster with ability to attach Dynamic Disk as a Data Disk 

Using Dynamic disks, option of adding free space on demand is available.This flexibility means you can use your disk space much more efficiently. In addition, dynamic disks offer advanced fault-tolerance options which can be leaverage for supporting the Use cases for Hyper-V Cluster Failover.
Implementation:
Proposed option is to enable the nova compute for HyperV driver by tweaking the volume_type field for create_volume request to enable the support for dynamic volumes 


Specification URL (additional information):

http://technet.microsoft.com/en-us/library/cc737048(v=ws.10).aspx http://docs.openstack.org/api/openstack-block-storage/2.0/content/POST_createVolume__v2__tenant_id__volumes_Volumes.html


Note You need to log in before you can comment on or make changes to this bug.